Subject: bug#77468: 30.1.50; package-quickstart file is not relocatable

From: Stefan Monnier <[email-masked]>
Date: Mon, 07 Apr 2025 13:10:52 -0400

> I guess file-name-directory can be slow due to find-file-name-handler...
> that's sad since it's otherwise just a trivial string operation.

It's not a major performance issue, but I can't think of a reason why we
wouldn't want to make this trivial optimization.

> I guess I could wrap the entire file in a let binding, but that's mildly
> annoying and ugly...

We can just `setq` a private global var.  It's conceptually
ugly, but it gets the job done.  As long as we support only a single
global `package-quickstart.el` that should be good enough.

        Stefan